For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Get API Key Usage

GET
https://api.reasoner.com/api/mindsim/usage
GET
/api/mindsim/usage
$curl https://api.reasoner.com/api/mindsim/usage \
> -H "Authorization: Bearer <token>"
1{
2 "successCount": 1.1,
3 "errorCount": 1.1,
4 "totalCount": 1.1,
5 "averageLatency": 1.1,
6 "maxLatency": 1.1,
7 "minLatency": 1.1,
8 "medianLatency": 1.1,
9 "p90Latency": 1.1,
10 "p95Latency": 1.1,
11 "p99Latency": 1.1,
12 "p999Latency": 1.1,
13 "numberOfSimulations": 1.1,
14 "numberOfSimulatedTwins": 1.1,
15 "numberOfSnapshotsCreated": 1.1,
16 "numberOfSnapshotsTotal": 1.1,
17 "numberOfCoresReprocessed": 1.1,
18 "numberOfPsychometricsRequests": 1.1,
19 "numberOfMindTopicsRequests": 1.1
20}
Gets the usage stats for an api key.
Was this page helpful?
Previous

Proxy a request

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Query parameters

fromstringOptionalformat: "date"
tostringOptionalformat: "date"

Response

The usage stats for the api key for the timeframe specified.
successCountdouble
Number of successful api requests made with this API Key in the specified timeframe.
errorCountdouble
Number of failed api requests made with this API Key in the specified timeframe.
totalCountdouble
Total number of api requests made with this API Key in the specified timeframe.
averageLatencydouble
The mean latency for all requests made with this API Key in the specified timeframe.
maxLatencydouble
The max latency for all requests made with this API Key in the specified timeframe.
minLatencydouble
The min latency for all requests made with this API Key in the specified timeframe.
medianLatencydouble
The median latency for all requests made with this API Key in the specified timeframe.
p90Latencydouble
The p90 latency for all requests made with this API Key in the specified timeframe.
p95Latencydouble
The p95 latency for all requests made with this API Key in the specified timeframe.
p99Latencydouble
The p99 latency for all requests made with this API Key in the specified timeframe.
p999Latencydouble
The p999 latency for all requests made with this API Key in the specified timeframe.
numberOfSimulationsdouble
The number of simulations initiated with this API Key in the specified timeframe.
numberOfSimulatedTwinsdouble
The number of simulated twins attributable to this API Key in the specified timeframe.
numberOfSnapshotsCreateddouble
The number of snapshots created by this API Key in the specified timeframe.
numberOfSnapshotsTotaldouble
The total number of snapshots that were created in the specified timeframe.
numberOfCoresReprocesseddouble
The number of cores that were processed for snapshots attributable to this API Key in the specified timeframe.
numberOfPsychometricsRequestsdouble
The number of requests this API Key made to retrieve psychometrics in the specified timeframe.
numberOfMindTopicsRequestsdouble
The number of requests this API Key made to retrieve mind topics in the specified timeframe.

Errors

401
Unauthorized Error